#!/bin/sh

# Copyright (c) 2003-2004 by the University of Southern California.
# All rights reserved.
#
# Permission to use, copy, modify, and distribute this software and its
# documentation in source and binary forms for non-commercial purposes and
# without fee is hereby granted, provided that the above copyright notice
# appear in all copies and that both the copyright notice and this permission
# notice appear in supporting documentation, and that any documentation,
# advertising materials, and other materials related to such distribution and
# use acknowledge that the software was developed by the University of
# Southern California, Information Sciences Institute.  The name of the
# University may not be used to endorse or promote products derived from this
# software without specific prior written permission.
#
# THE UNIVERSITY OF SOUTHERN CALIFORNIA MAKES NO REPRESENTATIONS ABOUT THE
# SUITABILITY OF THIS SOFTWARE FOR ANY PURPOSE.  THIS SOFTWARE IS PROVIDED "AS
# IS" AND WITHOUT ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, WITHOUT
# LIMITATION, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A
# PARTICULAR PURPOSE.
#
# Other copyrights might apply to parts of this software and are so noted when
# applicable.
# ----------------------------------------------------------------------------
#
# Primary author: Purushotham Kamath
#                 Sept  2004
#This material is based upon work supported by the Defense Advanced Research 
#Projects Agency under contract no. N66001-02-1-8939 issued by the Space and 
#Naval Warfare Systems Center (SPAWAR).  Any opinions, findings, and conclusions 
#or recommendations expressed in this material are those of the author(s) and 
#do not necessarily reflect the views of the Defense Advanced Research Projects
#Agency, SPAWAR, or the U.S. Government.

CODEDIR=~/dev/ocdma/lan/simone/code/

#Configuration parameters
seed=2173
N=10
A=1
w=3 
K=3
modulation=0
numcodewords=100
B=1E10

#Distributions 0-Exp, 1-Uniform 2-Deterministic 3-Trimodal 4-From file
dista=0
distp=0
if=x
of=y
pktsize=1000
pktsizevar=0
load=1
numpkts=1000

#0-Star 1-MBus
topdist=2
topology=0
numnodes=100
avgdist=0

#0-Aloha, 1-Pure selfish, 2-Threshold 3-Overlap section 5
defer=0

#0-Perfect 1-On demand 2-Continuous
stateest=0
window=10
pdelay=0

#0=N/1=Y
sampling=0
samplingfreq=0

#Steady state
cp=0
ssp=0

#Real, a >0
txsched=2
thresh=0.3
stateest=2
window=10
avgdist=1000
topdist=1

for N in 10 
do
	echo "N: $N"
	for txsched in  0 1 2 3 
	do  
		echo "txsched: $txsched"
		for load in 0 0.1 0.2 0.3 0.4 0.5 0.6 0.7 0.8 0.9 1
		do
			echo "Load $load"
			for seed in 2173 26376 28436 15542 324 234 67 98983 4324 1289
			do  
				$CODEDIR/simone $seed $N $A $w $K $modulation $numcodewords $B $dista $distp $if $of $pktsize $pktsizevar $load $numpkts $topology $numnodes $topdist $avgdist $txsched $thresh $defer $stateest $window $pdelay $sampling $samplingfreq $cp $ssp  >>sim.temp.$N.$txsched.data 
			done	
			perl5 av.pl sim.temp.$N.$txsched.data >> sim.$N.$txsched.data	
			rm -rf sim.temp.$N.$txsched.data
		done
	done
done


